Attribute VB_Name = "ClickerPresentationKit"
' Chula Clicker Presentation Kit
' Release Version : 20130131
'
' Created By Krerk Piromsopa, Ph.D.
' Copy Right (c) 2013-Present Chulalongkorn University
'
' This code is a part of Chula Clicker Project.
' It is designed to use in conjunction with ChulaClickerHelper Addon
' For more details, please refer to http://clicker.cp.eng.chula.ac.th/
'
' Revision:
'   January 31, 2003 - v0.01 - By Krerk

'Event Handler

Public Sub Clicker_QuestionStart(xShp As Shape)
On Error GoTo CKError:
    ChulaClickerHelper.shape_startQuestion xShp
    Exit Sub
CKError:
    clickerError
End Sub

Public Sub Clicker_QuestionStop(xShp As Shape)
On Error GoTo CKError:
    ChulaClickerHelper.shape_stopQuestion xShp
    Exit Sub
CKError:
    clickerError
End Sub

Public Sub Clicker_AnswerCount(xShp As Shape)
On Error GoTo CKError:
    ChulaClickerHelper.shape_statusAnswered xShp
    Exit Sub
CKError:
    clickerError
End Sub

Public Sub Clicker_AnswerChart(xShp As Shape)
On Error GoTo CKError:
    ChulaClickerHelper.shape_statusChart xShp
    Exit Sub
CKError:
    clickerError
End Sub

Private Sub clickerError()
    MsgBox "Error " & Err.Description & " [" & Err.Number & "]" & vbCrLf & "Please verify your addon.", vbOKOnly, "Clicker Error"
End Sub
